Skip to main content
GET
/
private-api
/
v1
/
{workspace_id}
/
farms
/
{farm_id}
/
miners
/
{miner_id}
/
history
List History
curl --request GET \
  --url https://api.nonce.app/private-api/v1/{workspace_id}/farms/{farm_id}/miners/{miner_id}/history \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.nonce.app/private-api/v1/{workspace_id}/farms/{farm_id}/miners/{miner_id}/history"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.nonce.app/private-api/v1/{workspace_id}/farms/{farm_id}/miners/{miner_id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "miner_id": "002b1a50fa281efe0f320ebc39f5047b",
      "agent_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
      "farm_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
      "workspace_id": "org_xxxxxxxxxxxxxxxxxxxxxxxxxxx",
      "hashrate": 100120000000000,
      "wattage": 9771,
      "temp": 75.5,
      "serial_number": "HTM3FS28HD25011939878367054H36045",
      "model": "Antminer S19",
      "ip": "192.168.1.100",
      "mac": "00:1B:44:11:3A:B7",
      "firmware_version": "20250304.15.REL",
      "period": "2025-09-07T00:00:00.000Z",
      "pool_url": "stratum+tcp://pool.example.com:4444",
      "worker_id": "worker1.100x0x217"
    }
  ],
  "pagination": {
    "total": 50,
    "limit": 10,
    "offset": 0,
    "hasNext": true,
    "hasPrevious": false
  },
  "error": null
}
{
"statusCode": 400,
"message": "Invalid request parameters",
"error": "Bad Request"
}
{
"statusCode": 401,
"message": "Invalid or missing API key",
"error": "Unauthorized"
}
{
"statusCode": 403,
"message": "Access denied to workspace",
"error": "Forbidden"
}

Authorizations

Authorization
string
header
required

Clerk Machine API Key for authentication

Path Parameters

workspace_id
string
required
farm_id
string
required
miner_id
string
required

Query Parameters

page
number

Page number (default: 1)

Required range: x >= 1
Example:

1

pageSize
number

Number of items per page (default: 10, max: 10000)

Required range: 1 <= x <= 10000
Example:

10

from_time
string<datetime>
required

Start time for the history data in ISO 8601 format with timezone offset.

Example:

"YYYY-MM-DDTHH:MM:SSZ"

to_time
string<datetime>
required

End time for the history data in ISO 8601 format with timezone offset.

Example:

"YYYY-MM-DDTHH:MM:SSZ"

granularity
enum<string>

Time resolution of the returned snapshots.

  • 10min: max range 1 day (144 data points). Requires miner_id (single-miner queries only).
  • hour (default): max range 7 days (168 data points).
  • day: max range 90 days (90 data points).
  • week: max range 365 days (52 data points).
Available options:
10min,
hour,
day,
week

Response

Successfully retrieved miner history

success
boolean
required

Indicates if the request was successful

Example:

true

data
Miner History Record · object[]
required

Array of items

pagination
object
required

Pagination metadata

error
null
required

Error object (null on success)

Example:

null